.navbar {
  z-index: 99;
}

.navbar__container {
  display: flex;
  justify-content: space-between;
  width: 100%;
  background-color: #a3227d;
}

.navbar__left {
  position: relative;
  display: inline-block;
  padding: 12px 64px;
}

.navbar__left::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 110%;
  height: 100%;
  background: #fff;
  -webkit-transform-origin: 100% 0;
  -ms-transform-origin: 100% 0;
  transform-origin: 100% 0;
  -webkit-transform: skew(-15deg);
  -ms-transform: skew(-15deg);
  transform: skew(-15deg);
}

.navbar__logo {
  position: relative;
  width: 205px;
  cursor: pointer;
  z-index: 1;
}

.navbar__logo-link {
  z-index: 2;
}

.navbar__right {
  flex: 1;
  justify-self: center;
  align-self: center;
  padding: 12px 40px;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.navbar__actions {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 30px;
}

.navbar__redirect {
  color: #fff;
  text-decoration: none;
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  line-height: 16px;
}

.navbar__button {
  display: flex;
  gap: 6px;
  text-decoration: none;
  border-radius: 8px;
  border: 1px solid #f7a71c;
  background-color: transparent;
  padding: 5px 12px;
  color: #fff;
  font-size: 12px;
  font-style: normal;
  font-weight: 500;
  line-height: 14px;
  cursor: pointer;
}

.navbar__list {
  display: flex;
  list-style: none;
  justify-content: flex-end;
}

.navbar__item {
  display: inline-block;
  transform: skewX(-16deg);
  padding: 3px 12px;
}

.navbar__link {
  display: block;
  transform: skewX(16deg);
  text-decoration: none;
  color: #000;
  text-align: center;
}

.navbar__item:not(:last-child) {
  border-right: 2px solid #f7a71c;
}

.navbar__link {
  text-decoration: none;
  color: #fff;
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  line-height: 16px;
}

.mobile-menu {
  background-color: #fff;
  width: 100vw;
  position: fixed;
  z-index: 100;
  display: none;
}

.mobile-list {
  height: calc(100vh - 110px);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
}

.mobile-item {
  list-style: none;
  width: 100%;
  flex: 1;
  border-bottom: 2px solid #f7a71c;
}

.mobile-item:hover {
  background-color: #fef6e7;
}

.mobile-link {
  text-decoration: none;
  font-size: 18px;
  font-weight: 600;
  color: #3f4444;
  padding: 0 20px;
  display: flex;
  align-items: center;
  width: 100%;
  height: 100%;
}

.hero {
  position: relative;
}

.hero__container {
  width: 100%;
  height: 500px;
  display: flex;
  padding-left: 75px;
}

.hero__right,
.hero__left {
  flex: 1;
}

.hero__left {
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.hero__right {
  position: absolute;
  right: 0;
}

.hero__intro .text {
  color: #3f4444;
  font-size: 18px;
  font-style: italic;
  font-weight: 400;
}

.hero__intro .text--compressed {
  line-height: 24px;
}

.hero__intro .title {
  color: #06408b;
  font-size: 38px;
  font-weight: 700;
}

.hero__image {
  width: 700px;
  height: 500px;
}

.hero__badge {
  padding: 12px 24px;
  background-color: #06408b;
  border-bottom-left-radius: 18px;
  border-bottom-right-radius: 18px;
  color: #fff;
  width: fit-content;
  font-style: normal;
  font-weight: 700;
  font-size: 26px;
  text-align: center;
}

.hero--mobile {
  display: none;
}

.hero--mobile__badge {
  padding: 12px;
  background-color: #06408b;
  width: 100%;
  color: #fff;
  font-style: normal;
  font-weight: 700;
  font-size: 26px;
  text-align: center;
}

.hero__content {
  position: absolute;
  bottom: 60px;
  width: 40%;
}

.hero__slanted {
  position: absolute;
  width: 51%;
  height: max-content;
  top: -35px;
  bottom: 0;
  margin: auto 0;
  z-index: 1;
  color: #fff;
  padding: 10px 0 10px 75px;
  font-size: 38px;
  margin: auto;
  text-align: left;
}

.hero__slanted::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 115%;
  height: 100%;
  background: linear-gradient(90deg, #a3227d 0%, #f7a71c 50%, #a3227d 100%);
  -webkit-transform-origin: 100% 0;
  -ms-transform-origin: 100% 0;
  transform-origin: 100% 0;
  -webkit-transform: skew(-15deg);
  -ms-transform: skew(-15deg);
  transform: skew(-15deg);
  z-index: -1;
}

.about {
  background-color: #fef6e8;
}

.about__container {
  max-width: 1089px;
  margin: auto;
  display: flex;
  padding: 60px 0;
}

.about__left {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-end;
  text-align: center;
  padding-right: 0;
  border-right: 1px solid #f7a71c;
}

.about__left .text {
  margin-right: 60px;
  width: 310px;
}

.about__image {
  width: 265px;
  margin-bottom: 24px;
  margin-right: 90px;
}

.about__text .text {
  line-height: 36px;
}

.about__right {
  flex: 1;
  border-left: 1px solid #f7a71c;
  padding: 10px 0 10px 50px;
}

.about__list {
  margin: 20px 0;
  padding-left: 40px;
}

.about__list li {
  margin: 10px 0;
  font-weight: 600;
}

.about__list li::marker {
  font-size: 18px;
  font-weight: 700;
  color: #a3227d;
}

.signup__container {
  padding: 50px 100px;
}

.signup__banner {
  margin: 30px auto;
  max-width: 1089px;
  background-color: #fff;
  color: #ffffff;
  font-size: 32px;
  font-weight: 700;
  line-height: 40px;
  text-align: center;
}

.container {
  overflow: hidden;
}

.parallelogram {
  width: 100%;
  height: 120px;
  margin: 0 0 0 -25px;
  transform: skew(-20deg);
  -webkit-transform: skew(-20deg);
  -moz-transform: skew(-20deg);
  -o-transform: skew(-20deg);
  background: #a3227d;
  overflow: hidden;
  position: relative;
}

.signup__title {
  padding: 0 50px;
  max-width: 1089px;
  font-size: 32px;
  line-height: 40px;
  font-weight: bold;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  transform: skew(20deg);
  -webkit-transform: skew(20deg);
  -moz-transform: skew(20deg);
  -o-transform: skew(20deg);
}

.signup__form {
  max-width: 1089px;
  margin: 75px auto;
}

.signup__form-head {
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: fit-content;
}

.signup__form-foot {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 5px;
}

.signup__form-foot .button {
  width: fit-content;
  border-radius: 16px;
  padding: 10px 40px;
}

.hero button {
  width: fit-content;
  border-radius: 16px;
  padding: 10px 15px;
}

.signup__list {
  list-style: none;
  max-width: 1089px;
  margin: auto;
}

.signup__list li::marker,
.drawer__list li::marker {
  font-size: 8px;
}

.signup__list sup {
  font-size: 9px;
}

.drawer__list {
  padding-left: 20px;
}

.input-row {
  display: flex;
  gap: 30px;
  margin: 20px 0;
}

.checkbox-row {
  display: flex;
  align-items: flex-start;
  gap: 10px;
  margin: 40px 0;
}

.checkbox-row .input {
  margin: 5px 0;
}

.input-control {
  width: 100%;
  display: flex;
  flex-direction: column;
}

.group-control {
  width: 100%;
  display: flex;
  gap: 30px;
}

.group-control div {
  display: flex;
  flex-direction: column;
  flex: 1;
}

.input {
  padding: 10px;
  border-radius: 1px;
  border: 1px solid #3f4444;
}

.signup__form-foot {
  text-align: center;
}

.banner {
  max-width: 1089px;
  margin: 40px auto;
}

.banner__container {
  border: 3px solid #f7a71c;
  padding: 70px;
}

.banner__head {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.banner__body {
  margin-top: 40px;
  display: flex;
}

.banner__body div {
  display: flex;
  align-items: center;
}

.banner__body div:first-child {
  padding-right: 40px;
  border-right: 1px solid rgba(63, 68, 68, 0.5);
}

.banner__body div:last-child {
  padding-left: 40px;
  border-left: 1px solid rgba(63, 68, 68, 0.5);
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 20px;
}

.banner__link {
  color: #06408b;
  text-decoration: none;
  font-weight: 700;
}

.banner__image {
  width: 348px;
}

.banner .subtext {
  margin-top: 40px;
}

.pinned {
  position: fixed;
  bottom: 5%;
  height: 100px;
  box-shadow: 0px -3px 9px -3px rgba(0, 0, 0, 1);
}

.maximized {
  top: 0;
  height: 100vh;
  overflow-y: scroll;
  transition: transform 0.5s;
  transform: scaleY(1);
  transition: top 0.4s;
}

.drawer {
  z-index: 99;
  background-color: #fff;
}

.drawer .text {
  line-height: 24px;
}

.drawer__container {
  background-color: #a3227d;
}

.drawer__toggle {
  display: flex;
  justify-content: space-between;
  padding: 5px 75px;
  color: #fff;
  font-size: 18px;
  font-weight: 700;
}

.drawer__content {
  background-color: #fff;
  padding: 25px 60px 150px;
}

.toggle {
  display: flex;
  gap: 16px;
  font-weight: 700;
  font-size: 18px;
  color: #fff;
  background-color: transparent;
  border: none;
  align-items: center;
  cursor: pointer;
}

.toggle-link {
  text-decoration: none;
}

.footer {
  background: #06408b;
  padding: 44px 64px;
  display: flex;
  gap: 94px;
}

.footer__right {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.footer__logo {
  width: 190px;
}

.footer__list {
  display: flex;
  list-style: none;
  margin-left: -15px;
}

.footer__item {
  display: inline-block;
  transform: skewX(-16deg);
  padding: 3px 15px;
}

.footer__link {
  display: block;
  transform: skewX(16deg);
  text-decoration: none;
  color: #000;
}

.footer__item:not(:last-child) {
  border-right: 2px solid #f7a71c;
}

.footer__link,
.footer__info {
  text-decoration: none;
  color: #fff;
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  line-height: 16px;
}

.footer__privacy {
  margin-bottom: 16px;
}

.privacy-link {
  color: #fff;
  text-decoration: none;
  display: flex;
  align-items: center;
  gap: 12px;
}

.privacy-icon {
  height: 12px;
}

.menu-icon {
  display: none;
  right: 20px;
  top: 30px;
  position: absolute;
  cursor: pointer;
}

.hero--mobile__image {
  width: 100%;
  margin-top: -20px;
  position: relative;
}

.hero-thanks__slanted {
  position: absolute;
  width: 50%;
  height: max-content;
  top: 0;
  bottom: 0;
  margin: auto 0;
  z-index: 1;
  color: #fff;
  padding: 10px;
  font-size: 36px;
  margin: auto;
  text-align: center;
}

.hero-thanks__slanted::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 120%;
  height: 100%;
  background-color: #fef6e8;
  -webkit-transform-origin: 100% 0;
  -ms-transform-origin: 100% 0;
  transform-origin: 100% 0;
  -webkit-transform: skew(-15deg);
  -ms-transform: skew(-15deg);
  transform: skew(-15deg);
  z-index: -1;
}

.hero-thanks__intro {
  padding: 40px 0 40px 75px;
  text-align: left;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.hero-thanks__intro .text {
  font-size: 18px;
  font-weight: 400;
  line-height: 28px;
}

.hero-thanks__intro .title {
  color: #06408b;
  font-size: 32px;
  font-weight: 700;
}

.hero-thanks__intro .button {
  margin-right: auto;
  padding-right: 36px;
  padding-left: 36px;
}

.hero__footer {
  position: absolute;
  bottom: 20px;
}

.signup__list li {
  display: flex;
  align-items: flex-start; /* Align items at the start of the flex container */
}

@media screen and (max-width: 1180px) {
  .hero {
    display: none;
  }

  .hero--mobile {
    display: unset;
  }

  .hero__intro {
    padding: 20px;
  }

  .hero__slanted {
    width: 100%;
    padding: 10px 20px;
    top: unset;
    position: relative;
  }

  .hero__slanted::after {
    width: 95vw;
  }

  .hero__content {
    display: flex;
    flex-direction: column;
    position: unset;
    width: 100%;
    padding: 40px 20px;
  }

  .hero__content .button {
    margin: auto;
  }

  .hero-thanks__intro {
    padding: 40px 20px;
    text-align: center;
    background-color: #fef6e8;
  }

  .hero-thanks__intro .button {
    margin: auto;
  }

  .hero-thanks__footer {
    margin-bottom: -20px;
    align-self: flex-start;
  }
}

.about__break {
  display: none;
}

@media screen and (max-width: 1024px) {
  .banner__image {
    width: 220px;
  }

  .about__image {
    margin: auto;
  }

  .about__left .text {
    margin: 20px auto;
    width: 100%;
  }
}

@media screen and (max-width: 768px) {
  .hero__intro .title {
    font-size: 28px;
  }

  .hero__slanted {
    text-align: left;
    font-size: 24px;
    top: unset;
  }

  .banner__container {
    padding: 20px;
  }

  .banner__body {
    flex-direction: column;
    margin-top: 0;
  }

  .banner__body div:first-child {
    margin: auto;
    padding-right: 0px;
    padding: 20px;
    border-right: none;
  }

  .banner__body div:last-child {
    padding-left: 0px;
    padding: 5px;
    border-left: none;
  }

  .container {
    width: 100% !important;
    background-color: #a3227d;
  }

  .signup__title {
    position: relative;
    padding: 10px !important;
    transform: skew(0);
    -webkit-transform: skew(0);
    -moz-transform: skew(0);
    -o-transform: skew(0);
  }

  .parallelogram {
    margin: 0;
    height: fit-content;
    transform: skew(0);
    -webkit-transform: skew(0);
    -moz-transform: skew(0);
    -o-transform: skew(0);
    background: #a3227d;
    position: relative;
  }

  .footer {
    flex-direction: column;
    gap: 20px;
  }

  .footer__list {
    flex-direction: column;
    margin-left: -15px;
    gap: 10px;
  }

  .footer__link {
    width: fit-content;
  }

  .footer__item:not(:last-child) {
    border: none;
  }
}

@media screen and (max-width: 1024px) {
  .input-row {
    flex-direction: column;
  }

  .group-control {
    flex-direction: column;
  }

  .navbar__left {
    padding: 10px;
  }

  .navbar__right {
    display: none;
  }

  .about__container {
    padding: 30px;
    flex-direction: column;
  }

  .about__left {
    padding: 20px 0;
    border-right: none;
    border-bottom: none;
  }

  .about__right {
    padding: 40px 0;
    border-left: none;
    border-top: none;
  }

  .about__break {
    display: block;
    margin: auto 50px;
    border: 1px solid #f7a71c;
  }

  .drawer__content {
    padding: 15px;
  }

  .drawer__toggle {
    padding: 10px;
  }

  .signup__container {
    padding: 20px;
  }

  .signup__banner {
    width: 100%;
  }

  .signup__title {
    font-size: 22px;
    line-height: 28px;
  }

  .footer {
    padding: 40px 20px;
  }

  .menu-icon {
    display: block;
  }
}

@media screen and (min-width: 1440px) {
  .hero-thanks__slanted::after {
    width: 130%;
  }

  .hero__slanted {
    font-size: 46px;
    top: 0;
    width: 60%;
  }

  .hero__intro .title {
    font-size: 42px;
  }
}

@media screen and (min-width: 1680px) {
  .hero__slanted {
    font-size: 70px;
  }

  .hero__content {
    width: 40%;
    bottom: 40px;
  }

  .hero__left {
    gap: 25px;
  }
}

@media screen and (min-height: 768px) {
  .mobile-list {
    height: calc(60vh - 110px);
  }
}